### Hierarchy

- StatePropsOfControl
  - StatePropsOfDateControl

## Index

### Properties

- config
- data
- description
- enabled
- errors
- fields
- id
- label
- labels
- path
- required
- rootSchema
- schema
- uischema
- visible

### Methods

- findUISchema

## Properties

### Optional config

config: any

Inherited from StatePropsOfRenderer.config

Any configuration options for the element.

### data

data: any

Inherited from StatePropsOfScopedRenderer.data

The data to be rendered.

### Optional description

description: string

Inherited from StatePropsOfControl.description

Description of input field

### enabled

enabled: boolean

Inherited from StatePropsOfRenderer.enabled

Whether the rendered element should be enabled.

### errors

errors: string[]

Inherited from StatePropsOfScopedRenderer.errors

Any validation errors that are caused by the data to be rendered.

### Optional fields

fields: object[]

Inherited from StatePropsOfControl.fields

### id

id: string

Inherited from StatePropsOfScopedRenderer.id

A unique ID that should be used for rendering the scoped UI schema element.

### label

label: string | Labels

Inherited from StatePropsOfControl.label

The label for the rendered element.

### labels

labels: object

- Defined in controls/MaterialDateControl.tsx:153

#### Type declaration

- ##### cancel: string

- ##### clear: string

- ##### default: string

### path

path: string

Inherited from StatePropsOfRenderer.path

Instance path the data is written to, in case of a control.

### Optional required

required: boolean

Inherited from StatePropsOfControl.required

Whether the rendered data is required.

### rootSchema

rootSchema: JsonSchema

Inherited from StatePropsOfScopedRenderer.rootSchema

The root schema as returned by the store.

### schema

schema: JsonSchema

Inherited from StatePropsOfRenderer.schema

The JSON schema that describes the data.

### uischema

uischema: ControlElement

Inherited from StatePropsOfScopedRenderer.uischema

Overrides StatePropsOfRenderer.uischema

### visible

visible: boolean

Inherited from StatePropsOfRenderer.visible

Whether the rendered element should be visible.

## Methods

### findUISchema

- findUISchema(schema: JsonSchema, schemaPath: string, path: string, fallbackLayoutType?: string, control?: ControlElement): UISchemaElement

- Inherited from StatePropsOfScopedRenderer.findUISchema

  Finds a registered UI schema to use, if any.

  #### Parameters

  - ##### schema: JsonSchema

    the JSON schema describing the data to be rendered

  - ##### schemaPath: string

    the according schema path

  - ##### path: string

    the instance path

  - ##### Optional fallbackLayoutType: string

    the type of the layout to use

  - ##### Optional control: ControlElement

    may be checked for embedded inline uischema options

  #### Returns UISchemaElement

Generated using TypeDoc